petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMGetDS

Get the PetscDS

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetDS(DM dm, PetscDS *prob)

### Input Parameter

dm -The DM

### Output Parameter

prob -The PetscDS

### See Also

DMSetDS()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/ts/examples/tutorials/ex11.c.html